Package it.ernytech.tdlib

## Class TdApi.InputMessageVoiceNote

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageVoiceNote

Enclosing class:
  TdApi

    public static class TdApi.InputMessageVoiceNote
    extends TdApi.InputMessageContent

A voice note message.

### Field Summary

Fields
`TdApi.FormattedText` `caption` Voice note caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the voice note, in seconds.
`TdApi.InputFile` `voiceNote` Voice note to be sent.
`byte[]` `waveform` Waveform representation of the voice note, in 5-bit format.

### Constructor Summary

Constructors
`InputMessageVoiceNote()` Default constructor.
`InputMessageVoiceNote​(TdApi.InputFile voiceNote, int duration, byte[] waveform, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### voiceNote

    public TdApi.InputFile voiceNote

Voice note to be sent.

#### duration

    public int duration

Duration of the voice note, in seconds.

#### waveform

    public byte[] waveform

Waveform representation of the voice note, in 5-bit format.

#### caption

    public TdApi.FormattedText caption

Voice note caption; 0-200 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageVoiceNote

    public InputMessageVoiceNote()

Default constructor.

#### InputMessageVoiceNote

    public InputMessageVoiceNote​(TdApi.InputFile voiceNote,
                                 int duration,
                                 byte[] waveform,
                                 TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `voiceNote` - Voice note to be sent.
  `duration` - Duration of the voice note, in seconds.
  `waveform` - Waveform representation of the voice note, in 5-bit format.
  `caption` - Voice note caption; 0-200 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR